Bug 1016282 - Use markdown for update descriptions.
Use markdown for update descriptions.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 15:20 EDT by Fabian Deutsch
Modified: 2016-09-19 22:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-26 17:35:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2013-10-07 15:20:07 EDT
Description of problem:
Currently a custom falvor of markup is used in the bodhi updates description.
If we were using some standardized format it might be easier for description consumers like gnome-software to display the descriptions in the correct markup.
Comment 1 Luke Macken 2014-01-17 15:21:17 EST
Bodhi uses python-markdown to render the update description, which is almost fully-compliant with the spec. http://pythonhosted.org/Markdown

Do you have any suggestions for how to make it easier for gnome-software to consume/render these descriptions?
Comment 2 Luke Macken 2014-08-26 17:35:39 EDT
Bodhi currently supports markdown, which has been vastly improved in the bodhi2 codebase as well.

Note You need to log in before you can comment on or make changes to this bug.